/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-07-16 16:37:05
 * @LastEditors: 无尘
 * @LastEditTime: 2020-07-17 11:07:15
 */
import _import from './_import.js';

const errorPage = r => {
  import('@/views/errorPage/index.vue').then(module => {
    r(module);
  });
};

export const routes = [
  {
    path: '/',
    name: '/',
    redirect: 'login'
  },
  {
    path: '/login',
    name: '登录',
    component: _import('login', 'index')
  },
  {
    path: '/index',
    name: 'index',
    component: _import('index', 'index')
  },
  {
    path: '/gic-error',
    name: 'gic跳转失败页',
    component: _import('errorPage', 'gic-error')
  },
  {
    path: '/403',
    name: '无权访问',
    component: errorPage
  },
  {
    path: '/404',
    name: 'error404',
    component: errorPage
  },
  {
    path: '/500',
    name: 'error500',
    component: errorPage
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
]
